KJL - Bug #1676

[HR - Time Management] Absence Quota tidak berkurang
10/07/2022 11:37 AM - Mega Yunita

Status: Closed Start date: 10/07/2022
Priority: Urgent Due date: 10/10/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.30 hours
Description

Dear Mas Azid,

Mohon untuk diperbaiki masalah yang masih terjadi, yaitu quota cuti di MD Absence Quota tidak berkurang.
Contoh dapat dilihat pada file yang saya cantumkan.

contoh employee : 30000134

Port : http://remote.minovais.com:31138/

Server : remote.minovais.com, 1442\MSSQLSERVER2014

DB : MinovaES_KJL

Menu : HR > HR Administration > Time Management > Time Data > Absence Quota

Semoga dapat dimengerti

Terimakasih

History

#1 - 10/07/2022 11:37 AM - Mega Yunita
- Subject changed from [HR - Tima Management] Absence Quota tidak berkurang to [HR - Time Management] Absence Quota tidak berkurang

#2 - 10/09/2022 11:06 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Mega Yunita

update file ...\U\scripts\mdgenerator.js

pada line 126 menjadi :

waitMsg: 'Saving Data...",

success: function (response) {

var result = Ext.decode(response.responseText);
if (result.success) {

if (tableName =='PHRPA0018') {

var RemainQuota = frm.getValues(). TotalAbsenceTaken;
var EmployeelD = frm.getValues().EmployeelD;

var AbsenceQuotaType = frm.getValues().AbsenceType;
MinovaUtil.ExecuteParamQuery({

ID: "SETPHRPAOQ017",

RemainQuota:RemainQuota,

EmployeelD:EmployeelD,
AbsenceQuotaType:AbsenceQuotaType

}, function(s) {

try {

var result = Ext.decode(s.responseText).data;

var dataGrid = Ext.decode(Ext.decode(result));

} catch (e) {}

}, function(f) {});

}

TAMBAHAN PADA TABLE PCMWFCUSTPARAM

ID: SETPHRPA0017

#3 - 10/13/2022 03:11 PM - Mega Yunita

07/05/2025 12



http://remote.minovais.com:31138/

- Status changed from QA Test to Closed

Sudah sesuai, terimakasih
